# swagger
Ruby library for integrating with the MLS (Major League Soccer) API.

This Dart package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Build package: io.swagger.codegen.v3.generators.dart.DartClientCodegen

## Requirements

Dart 1.20.0 or later OR Flutter 0.0.20 or later

## Installation & Usage

### Github
If this Dart package is published to Github, please include the following in pubspec.yaml
```
name: swagger
version: 1.0.0
description: Swagger API client
dependencies:
  swagger:
    git: https://github.com/GIT_USER_ID/GIT_REPO_ID.git
      version: 'any'
```

### Local
To use the package in your local drive, please include the following in pubspec.yaml
```
dependencies:
  swagger:
    path: /path/to/swagger
```

## Tests

TODO

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```dart
import 'package:swagger/api.dart';

var api_instance = new AssistsApi();
var contentType = contentType_example; // String | 

try {
    api_instance.assistsGet(contentType);
} catch (e) {
    print("Exception when calling AssistsApi->assistsGet: $e\n");
}
```

## Documentation for API Endpoints

All URIs are relative to *https://mlssoccerapi.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AssistsApi* | [**assistsGet**](docs//AssistsApi.md#assistsget) | **GET** /assists | Get All
*AssistsApi* | [**assistsIdDelete**](docs//AssistsApi.md#assistsiddelete) | **DELETE** /assists/{id} | Delete by ID
*AssistsApi* | [**assistsIdGet**](docs//AssistsApi.md#assistsidget) | **GET** /assists/{id} | Get By ID
*AssistsApi* | [**assistsIdPut**](docs//AssistsApi.md#assistsidput) | **PUT** /assists/{id} | Update by ID
*AssistsApi* | [**assistsPost**](docs//AssistsApi.md#assistspost) | **POST** /assists | Add New
*AuthenticationApi* | [**loginPost**](docs//AuthenticationApi.md#loginpost) | **POST** /login | Login
*FixturesApi* | [**fixturesGet**](docs//FixturesApi.md#fixturesget) | **GET** /fixtures | Get All
*FixturesApi* | [**fixturesIdDelete**](docs//FixturesApi.md#fixturesiddelete) | **DELETE** /fixtures/{id} | Delete by ID
*FixturesApi* | [**fixturesIdGet**](docs//FixturesApi.md#fixturesidget) | **GET** /fixtures/{id} | Get By ID
*FixturesApi* | [**fixturesIdPut**](docs//FixturesApi.md#fixturesidput) | **PUT** /fixtures/{id} | Update by ID
*FixturesApi* | [**fixturesPost**](docs//FixturesApi.md#fixturespost) | **POST** /fixtures | Add New
*HistoricalDataApi* | [**histGet**](docs//HistoricalDataApi.md#histget) | **GET** /hist | Get All
*HistoricalDataApi* | [**histIdDelete**](docs//HistoricalDataApi.md#histiddelete) | **DELETE** /hist/{id} | Delete by ID
*HistoricalDataApi* | [**histIdGet**](docs//HistoricalDataApi.md#histidget) | **GET** /hist/{id} | Get By ID
*HistoricalDataApi* | [**histIdPut**](docs//HistoricalDataApi.md#histidput) | **PUT** /hist/{id} | Update by ID
*HistoricalDataApi* | [**histPost**](docs//HistoricalDataApi.md#histpost) | **POST** /hist | Add New
*LatestNewsApi* | [**newsGet**](docs//LatestNewsApi.md#newsget) | **GET** /news | Get All
*LatestNewsApi* | [**newsIdDelete**](docs//LatestNewsApi.md#newsiddelete) | **DELETE** /news/{id} | Delete by ID
*LatestNewsApi* | [**newsIdGet**](docs//LatestNewsApi.md#newsidget) | **GET** /news/{id} | Get By ID
*LatestNewsApi* | [**newsIdPut**](docs//LatestNewsApi.md#newsidput) | **PUT** /news/{id} | Update by ID
*LatestNewsApi* | [**newsPost**](docs//LatestNewsApi.md#newspost) | **POST** /news | Add New
*OffenceApi* | [**offenceGet**](docs//OffenceApi.md#offenceget) | **GET** /offence | Get All
*OffenceApi* | [**offenceIdDelete**](docs//OffenceApi.md#offenceiddelete) | **DELETE** /offence/{id} | Delete by ID
*OffenceApi* | [**offenceIdGet**](docs//OffenceApi.md#offenceidget) | **GET** /offence/{id} | Get By ID
*OffenceApi* | [**offenceIdPut**](docs//OffenceApi.md#offenceidput) | **PUT** /offence/{id} | Update by ID
*OffenceApi* | [**offencePost**](docs//OffenceApi.md#offencepost) | **POST** /offence | Add New
*PlayersApi* | [**playersGet**](docs//PlayersApi.md#playersget) | **GET** /players | Get All
*PlayersApi* | [**playersIdDelete**](docs//PlayersApi.md#playersiddelete) | **DELETE** /players/{id} | Delete by ID
*PlayersApi* | [**playersIdGet**](docs//PlayersApi.md#playersidget) | **GET** /players/{id} | Get By ID
*PlayersApi* | [**playersIdPut**](docs//PlayersApi.md#playersidput) | **PUT** /players/{id} | Update by ID
*PlayersApi* | [**playersPost**](docs//PlayersApi.md#playerspost) | **POST** /players | Add New
*RealTimeDataLiveScoresApi* | [**rtdGet**](docs//RealTimeDataLiveScoresApi.md#rtdget) | **GET** /rtd | Get All
*RealTimeDataLiveScoresApi* | [**rtdIdDelete**](docs//RealTimeDataLiveScoresApi.md#rtdiddelete) | **DELETE** /rtd/{id} | Delete by ID
*RealTimeDataLiveScoresApi* | [**rtdIdGet**](docs//RealTimeDataLiveScoresApi.md#rtdidget) | **GET** /rtd/{id} | Get By ID
*RealTimeDataLiveScoresApi* | [**rtdIdPut**](docs//RealTimeDataLiveScoresApi.md#rtdidput) | **PUT** /rtd/{id} | Update by ID
*RealTimeDataLiveScoresApi* | [**rtdPost**](docs//RealTimeDataLiveScoresApi.md#rtdpost) | **POST** /rtd | Add New
*StandingsApi* | [**standingsGet**](docs//StandingsApi.md#standingsget) | **GET** /standings | Get All
*StandingsApi* | [**standingsIdDelete**](docs//StandingsApi.md#standingsiddelete) | **DELETE** /standings/{id} | Delete by ID
*StandingsApi* | [**standingsIdGet**](docs//StandingsApi.md#standingsidget) | **GET** /standings/{id} | Get By ID
*StandingsApi* | [**standingsIdPut**](docs//StandingsApi.md#standingsidput) | **PUT** /standings/{id} | Update by ID
*StandingsApi* | [**standingsPost**](docs//StandingsApi.md#standingspost) | **POST** /standings | Add New
*TeamsApi* | [**teamsGet**](docs//TeamsApi.md#teamsget) | **GET** /teams | Get All
*TeamsApi* | [**teamsIdDelete**](docs//TeamsApi.md#teamsiddelete) | **DELETE** /teams/{id} | Delete by ID
*TeamsApi* | [**teamsIdGet**](docs//TeamsApi.md#teamsidget) | **GET** /teams/{id} | Get By ID
*TeamsApi* | [**teamsIdPut**](docs//TeamsApi.md#teamsidput) | **PUT** /teams/{id} | Update by ID
*TeamsApi* | [**teamsPost**](docs//TeamsApi.md#teamspost) | **POST** /teams | Add New
*TopScorerApi* | [**topscorerGet**](docs//TopScorerApi.md#topscorerget) | **GET** /topscorer | Get All
*TopScorerApi* | [**topscorerIdDelete**](docs//TopScorerApi.md#topscoreriddelete) | **DELETE** /topscorer/{id} | Delete by ID
*TopScorerApi* | [**topscorerIdGet**](docs//TopScorerApi.md#topscoreridget) | **GET** /topscorer/{id} | Get By ID
*TopScorerApi* | [**topscorerIdPut**](docs//TopScorerApi.md#topscoreridput) | **PUT** /topscorer/{id} | Update by ID
*TopScorerApi* | [**topscorerPost**](docs//TopScorerApi.md#topscorerpost) | **POST** /topscorer | Add New

## Documentation For Models


## Documentation For Authorization


## bearerAuth



## Author


